{
  "name": "table/convert_settings/script_settings.json",
  "old_script": ["timec", "wpa"],

  "fix_function": {
    "_fld_ValueLong": {
      "take_param": 1
    },
    "_fld_ValueStr": {
      "take_param": 1
    },
    "_fld_ValueDate": {
      "take_param": 1
    },
    "_fld_ValueReal": {
      "take_param": 1
    },
    "_fld_valuereal": {
      "take_param": 1
    },
    "_fld_ValueBoolean": {
      "take_param": 1
    },
    "_fld ValueLong": {
      "take_param": 1
    },
    "_fld ValueStr": {
      "take_param": 1
    },
    "_fld ValueDate": {
      "take_param": 1
    },
    "_fld ValueReal": {
      "take_param": 1
    },
    "_fld valuereal": {
      "take_param": 1
    },
    "_fld ValueBoolean": {
      "take_param": 1
    }
  },

  "combine_table_test": {
    "timec": ["timec"]
  },
  "combine_table_not_in_use": {
    "html": ["html"]
  },
  "combine_table": {
    "bankm": ["bankm"],
    "cura": ["cura"],
    "drivlog": ["drivlog"],
    "expty": ["expty"],
    "link": ["link"],
    "prf": ["prf"],
    "task": ["task"],
    "taskw": ["taskw"],
    "timec": ["timec"],
    "travelexp": ["travelexp"],
    "travelexpr": ["travelexpr"],

    "bka": ["ac"],
    "per": ["em"],
    "co": ["co", "su"],
    "coad": ["coad", "suad"],
    "cope": ["cope", "supe"],
    "pr": ["pr", "w"],
    "prst": ["stpa"],
    "prpr": ["prpr", "prsu"],
    "prla": ["prna"],
    "ordc": ["soc", "poc"],
    "ord": ["so", "po", "dn"],
    "ordr": ["sor", "por"],
    "inv": ["inv", "ap"],
    "inv": ["inv", "ap"],
    "invr": ["invr", "apr"],
    "invp": ["inpa", "appa"],
    "top": ["top"],
    "st": ["st"],
    "prma": ["wme", "wma", "wom"],
    "prwo": ["wpe", "wpa", "wos"],
    "lg": ["wlg"],
    "pro": ["wo"],
    "cap": ["wcap"],
    "capr": ["wcr", "resr", "weff"],
    "cur": ["cur"],
    "rcl": ["rcl"],
    "bkv": ["vo"],
    "bkvr": ["vor"],
    "wbl": ["wbl", "wblr"],

    "nmd": ["nmd"],
    "nmp": ["nmp"],
    "fmsmma": ["fmsmma"],
    "fmsmov": ["fmsmov"],
    "fmsmsv": ["fmsmsv"],
    "fmsofp": ["fmsofp"],
    "fmsseo": ["fmsseo"]
  },

  "replace_char": {
    "Ä": "A",
    "ä": "a",
    "Ö": "O",
    "Ö": "o"
  },

  "replace": [
    {
      "from": "false",
      "to": false
    },
    {
      "from": "true",
      "to": true
    },
    {
      "from": "ksSpace",
      "to": " "
    },
    {
      "from": "ksPeriod",
      "to": "\".\""
    },
    {
      "from": "00.00.0000",
      "to": "dt.zeroDate"
    },
    {
      "from": "ksCR",
      "to": "\n",
      "info": "was \r in 4D, \n in Lua"
    },

    {
      "from": "_lang_Current",
      "to": "lang.current"
    },
    {
      "from": "_str__ToLower",
      "to": "string.lower"
    },
    {
      "from": "lowercase",
      "to": "string.lower"
    },
    {
      "from": "concatWith",
      "to": "peg.concatWith"
    },
    {
      "from": "concat",
      "to": "peg.concat"
    },
    {
      "from": "parse",
      "to": "peg.parse"
    },
    {
      "from": "_str_Format",
      "to": "peg.clean"
    },
    {
      "from": "Num",
      "to": "tonumber"
    },
    {
      "from": "Substring",
      "to": "string.sub"
    },
    {
      "from": "String",
      "to": "tostring"
    }
  ],

  "replace_function": [
    {
      "from": "wpe_scALIH_OK_YH",
      "to": "wpe.subcontractSelfCostTotal"
    },
    {
      "from": "wpe_scTYOPAL_KPL",
      "to": "wpe.salary"
    },
    {
      "from": "wpe_scKONETYOT_OK",
      "to": "wpe.machineWorkSelfCost"
    },
    {
      "from": "wpe_scASAIKA_MRA",
      "to": "wpe.setupTimePerAmount"
    },
    {
      "from": "wpe_scVAIHENUMERO",
      "to": "wpe.phaseNumber"
    },
    {
      "from": "wpe_C_TUNTIPALKA",
      "to": "wpe.hourlyWage"
    },
    {
      "from": "wpe_C_HINTAKENTA",
      "to": "wpe.priceField"
    },
    {
      "from": "wpe_scALIH_MH_YH",
      "to": "wpe.subcontractSalesPriceTotal"
    },
    {
      "from": "wpe_scASTUNTIPAL",
      "to": "wpe.pieceworkPay"
    },
    {
      "from": "wpe_C_KENTAT",
      "to": "wpe.fields"
    },
    {
      "from": "wpe_scURAKKA_KPL",
      "to": "wpe.taskPcs"
    },
    {
      "from": "wpe_scLEPOAIKA_T",
      "to": "wpe.restingTime"
    },
    {
      "from": "wpe_scKONEAST_OK",
      "to": "wpe.machineSetupCostPrice"
    },
    {
      "from": "wpe_scTYOAIKA_KP",
      "to": "wpe.workTimePerUnit"
    },
    {
      "from": "wpe_scKPL_TUNTI",
      "to": "wpe.pcsHour"
    },
    {
      "from": "wpe_scON_ALIHANK",
      "to": "wpe.isSubcontract"
    },
    {
      "from": "wpe_C_MUUTTUJAT",
      "to": "wpe.calculatedField"
    },
    {
      "from": "wpe_scKONEEN_NOPE",
      "to": "wpe.machineSpeed"
    },
    {
      "from": "wpe_scALIH_OSTOH",
      "to": "wpe.subcontractPurchasePrice"
    },
    {
      "from": "wpe_scKPL_YKS",
      "to": "wpe.unitAmount"
    },
    {
      "from": "wpe_scURAKAN_PER",
      "to": "wpe.contractDefaultSalary"
    },
    {
      "from": "wpe_scTYOAIKA_MR",
      "to": "wpe.workTime"
    },
    {
      "from": "wpe_scTYONTEKIJA",
      "to": "wpe.employee"
    },
    {
      "from": "wpe_scON_URAKKATY",
      "to": "wpe.IsTaskWork"
    },
    {
      "from": "wpe_scON_TUNTITY",
      "to": "wpe.IsHourlyWork"
    },
    {
      "from": "wpe_scKUORMITUSR",
      "to": "wpe.loadGroup"
    },
    {
      "from": "wpe_scKATEKERROI",
      "to": "wpe.profitMultiplier"
    },
    {
      "from": "wpe_scTYO_OK_KPL",
      "to": "wpe.workSelfCostPcs"
    },
    {
      "from": "wpe_scTYO_MH_KPL",
      "to": "wpe.workSalesPricePcs"
    },
    {
      "from": "wpa_LISATUNNIT",
      "to": "wpa.additionalHours"
    },
    {
      "from": "wpa_C_KENTAT",
      "to": "wpa.calculateField"
    },
    {
      "from": "wpa_scTYONTEKIJA",
      "to": "wpa.Employee"
    },
    {
      "from": "wpa_scTYYPPI",
      "to": "wpa.TYPE"
    },
    {
      "from": "wpa_C_TUNTIPALKA",
      "to": "wpa.hourlyWage"
    },
    {
      "from": "wpa_scKUORMITUSRY",
      "to": "wpa.loadGroup"
    },
    {
      "from": "vascARV_VAL_VK",
      "to": "wo.estimatedFinishWeek"
    },
    {
      "from": "vascVALMISTUNUT",
      "to": "wo.finished"
    },
    {
      "from": "w_RELATE_TUOTE",
      "to": "w.relateProduct"
    },
    {
      "from": "w_vaC_KENTAT",
      "to": "w.woCalculateField"
    },
    {
      "from": "vascALOITETTAVA",
      "to": "wo.startAmount"
    },
    {
      "from": "vascTYON_AL_PV",
      "to": "wo.workStartDay"
    },
    {
      "from": "vascARV_VAL_PV",
      "to": "wo.estimatedFinishDay"
    },
    {
      "from": "vascTYON_AL_VK",
      "to": "wo.workStartWeek"
    },
    {
      "from": "vascTYON_VAL_VK",
      "to": "wo.workFinishWeek"
    },
    {
      "from": "vascTYON_VAL_PV",
      "to": "wo.workFinishDay"
    },
    {
      "from": "vascTYO_POS_NRO",
      "to": "wo.workNumber"
    },
    {
      "from": "w_lrC_KENTAT",
      "to": "w.wmeCalculateField"
    },
    {
      "from": "w_C_MUUTUJAT",
      "to": "w.calculate"
    },
    {
      "from": "w_ltC_MUUTTUJAT",
      "to": "w.calculate"
    },
    {
      "from": "w_scPIIRUSTUSNU",
      "to": "w.drawingNumber"
    },
    {
      "from": "w_lrC_MUUTTUJAT",
      "to": "w.calculate"
    },
    {
      "from": "suad_TEE_TEKSTIOS",
      "to": "suad.setTextAddress"
    },
    {
      "from": "su_TEE_TEKSTIOSO",
      "to": "su.setTextAddress"
    },
    {
      "from": "st_scTUOTE",
      "to": "st.product"
    },
    {
      "from": "st_scMYYNTIH_MRÄ",
      "to": "st.salesPriceTotal"
    },
    {
      "from": "st_scOSTOHIN_MRÄ",
      "to": "st.purchasePriceAmount"
    },
    {
      "from": "st_scOSTOHINT_Y1",
      "to": "st.purchasePriceUnit"
    },
    {
      "from": "st_scVALUUTTA",
      "to": "st.currency"
    },
    {
      "from": "st_scULK OH_Y1",
      "to": "st.foreingPurchasePricePerUnit1"
    },
    {
      "from": "st_scINVMÄÄRÄ",
      "to": "st.inventoryAmount"
    },
    {
      "from": "st_scMYYNTIH_Y1",
      "to": "st.salesPricePerUnit1"
    },
    {
      "from": "st_scMÄÄRÄ_YKS1",
      "to": "st.amountPerUnit1"
    },
    {
      "from": "sor_ALENNUS_MK",
      "to": "sor.discount"
    },
    {
      "from": "sor_scTOIMITUSPAI",
      "to": "sor.deliveryDate"
    },
    {
      "from": "sor_scAHINTA_YKS2",
      "to": "sor.unitPriceInUnit2"
    },
    {
      "from": "sor_scMAARA_YKS2",
      "to": "sor.amountUnit2"
    },
    {
      "from": "sor_scAHINTA_YKS1",
      "to": "sor.unitPriceInUnit1"
    },
    {
      "from": "sor_scVARASTOPAIKK",
      "to": "sor.storagePlace"
    },
    {
      "from": "stpa_HAE_MITTA_KPL",
      "to": "stpa.getPiecesAndLength"
    },
    {
      "from": "sor_scMYYNTIKOODI",
      "to": "sor.salesCode"
    },
    {
      "from": "sor_scTUOTE_2",
      "to": "sor.product"
    },
    {
      "from": "stpa_S_KPL_MITTA",
      "to": "stpa.setPiecesAndLength"
    },
    {
      "from": "sor_KPL_MAARA",
      "to": "sor.pcsAmount"
    },
    {
      "from": "sor_scMYYNTIHINTA_",
      "to": "sor.salesPrice"
    },
    {
      "from": "sor_scTILAVUUS",
      "to": "sor.capacity"
    },
    {
      "from": "sor_scPAK_LKM",
      "to": "sor.numberOfPallets"
    },
    {
      "from": "sor_scAHINTA_TILAV",
      "to": "sor.unitPriceInCapacity"
    },
    {
      "from": "sor_scOMAKUSTANNUS",
      "to": "sor.selfCost"
    },
    {
      "from": "sor_scKPL_Y_PAK",
      "to": "sor.verticalPieces"
    },
    {
      "from": "sor_scAHINTA_ALV",
      "to": "sor.unitPriceInValueAddedTax"
    },
    {
      "from": "sor_ALEPROSENTTI",
      "to": "sor.salePercentages"
    },
    {
      "from": "sor_scKPL_X_PAK",
      "to": "sor.horisontalPieces"
    },
    {
      "from": "sor_sc1_VAH_TO_PV",
      "to": "sor.confirmedDeliveryDate"
    },
    {
      "from": "sor_scPITUUS",
      "to": "sor.length"
    },
    {
      "from": "soc_scTI ALE TILI",
      "to": "soc.orderDiscountAccount"
    },
    {
      "from": "soc_scMYYNNIN TIL",
      "to": "soc.salesOrder"
    },
    {
      "from": "so_scTILAUSOSOIT",
      "to": "so.orderAddress"
    },
    {
      "from": "so_scPOPTILA",
      "to": "so.statePopup"
    },
    {
      "from": "so_scMYYJA",
      "to": "so.seller"
    },
    {
      "from": "so_VIITTEEMME",
      "to": "so.reference"
    },
    {
      "from": "so_TOIMITUSASIAK",
      "to": "so.deliveryCustomer"
    },
    {
      "from": "so_scPOPTYYPPI",
      "to": "so.popupType"
    },
    {
      "from": "so_scVALUUTTA",
      "to": "so.currency"
    },
    {
      "from": "so_LASKUASIAKAS",
      "to": "so.billingCustomer"
    },
    {
      "from": "so_scENS_TO_PV",
      "to": "so.firstDeliveryDate"
    },
    {
      "from": "so_scTILAAJA_ASI",
      "to": "so.company"
    },
    {
      "from": "so_scTIL_ALE_PRO",
      "to": "so.orderDiscountPercent"
    },
    {
      "from": "so_scTIL_ALENNUS",
      "to": "so.orderDiscount"
    },
    {
      "from": "prsu_scMK OSTOHIN",
      "to": "prsu.orderPrice"
    },
    {
      "from": "prsu_scVALUUTTA",
      "to": "prsu.currency"
    },
    {
      "from": "prsu_scVAL OSTOHI",
      "to": "prsu.finishPurchasePrice"
    },
    {
      "from": "prsu_scKURSSI",
      "to": "prsu.exchangeRate"
    },
    {
      "from": "prsu_scTOIMITTAJA",
      "to": "prsu.supplier"
    },
    {
      "from": "pr_scTYO_POS_NRO",
      "to": "pr.workPostalCode"
    },
    {
      "from": "pr_scOSTOKERROIN",
      "to": "pr.purchaseMultiplier"
    },
    {
      "from": "pr_scEAN_KOODI",
      "to": "pr.eanCode"
    },
    {
      "from": "pr_C_MUUTTUJAT",
      "to": "pr.CalculatedField"
    },
    {
      "from": "pr_TEE_LYHENNE",
      "to": "pr.makeAbbreviated"
    },
    {
      "from": "pr_scULKOMYKOODI",
      "to": "pr.foreignSalesOrderCode"
    },
    {
      "from": "pr_scMYYNTIKOODI",
      "to": "pr.salesCode"
    },
    {
      "from": "pr_sMYYNTIHINTA_",
      "to": "pr.salesPrice"
    },
    {
      "from": "pr_scOSTOKOODI",
      "to": "pr.purchaseCode"
    },
    {
      "from": "pr_scSUUNN_MKERR",
      "to": "pr.designConversionMultiplier"
    },
    {
      "from": "pr_scVAR_MKERROI",
      "to": "pr.stockConversionMultiplier"
    },
    {
      "from": "pr_scNIMI",
      "to": "pr.name"
    },
    {
      "from": "pr_sOK_HINTA_Y1",
      "to": "pr.selfCostPrice"
    },
    {
      "from": "pr_scOSTOHINTA",
      "to": "pr.purchasePrice"
    },
    {
      "from": "pr_sKATEKERROIN",
      "to": "pr.profitMultiplier"
    },
    {
      "from": "pr_scOSTOVALUUTT",
      "to": "pr.purchaseCurrency"
    },
    {
      "from": "pr_scV1_S1_MKERR",
      "to": "pr.stock1PerDesign1Multiplier"
    },
    {
      "from": "pr_sMIN_H_ERA_YK",
      "to": "pr.minimumPurchaseAmount"
    },
    {
      "from": "por_KPL_MAARA",
      "to": "por.pcsAmount"
    },
    {
      "from": "por_scMAARA_YKS2",
      "to": "por.amountUnit2"
    },
    {
      "from": "por_L_RIVISUMMAT",
      "to": "por.rowSum"
    },
    {
      "from": "por_scTOIMITETTU_Y",
      "to": "por.Delivered"
    },
    {
      "from": "por_scENS_TOIM_PV",
      "to": "por.nextDeliveryDate"
    },
    {
      "from": "por_scRIVINUMERO",
      "to": "por.rowNumber"
    },
    {
      "from": "por_scAHINTA",
      "to": "por.unitPrice"
    },
    {
      "from": "por_scOSTOHINTA_YH",
      "to": "por.purchasePriceTotal"
    },
    {
      "from": "por_sc1_VAH_TO_PV",
      "to": "por.confirmedDeliveryDate"
    },
    {
      "from": "por_ALE_L_RIVISUM",
      "to": "por.discountRowSum"
    },
    {
      "from": "por_scLVV_PROSENTT",
      "to": "por.vatPercent"
    },
    {
      "from": "por_scOSTOKOODI",
      "to": "por.purchaseCode"
    },
    {
      "from": "por_TILATTU_MRA",
      "to": "por.orderAmount"
    },
    {
      "from": "por_scTUOTE",
      "to": "por.product"
    },
    {
      "from": "po_scTILAAJA",
      "to": "po.order"
    },
    {
      "from": "po_scVALUUTTA",
      "to": "po.currency"
    },
    {
      "from": "po_scTOIMITTAJA",
      "to": "po.supplier"
    },
    {
      "from": "po_VIITTEEMME",
      "to": "po.reference"
    },
    {
      "from": "po_scASIAKAS",
      "to": "po.customer"
    },
    {
      "from": "invr_KPL_MAARA",
      "to": "invr.pcsAmount"
    },
    {
      "from": "invr_sAHINTA",
      "to": "invr.unitPrice"
    },
    {
      "from": "invr_sMAKSETTAVA_Y",
      "to": "invr.totalPayableAmount"
    },
    {
      "from": "invr_sLVV_PROSENTT",
      "to": "invr.vatPercent"
    },
    {
      "from": "invr_scMYYNTIKOODI",
      "to": "invr.salesCode"
    },
    {
      "from": "invr_sHINTA_YHT",
      "to": "invr.priceTotal"
    },
    {
      "from": "invr_ALEMARKKAA",
      "to": "invr.Discount"
    },
    {
      "from": "invr_ALEPROSENTTI",
      "to": "invr.discountProsent"
    },
    {
      "from": "invr_sMAARA_YHT",
      "to": "invr.amountTotal"
    },
    {
      "from": "invr_sLVV_N_HINTA",
      "to": "invr.vatPrice"
    },
    {
      "from": "invr_sTUOTE",
      "to": "invr.product"
    },
    {
      "from": "inv_TOIMITASIAKAS",
      "to": "inv.deliveryCompany"
    },
    {
      "from": "inv_sMAKSUEHTO",
      "to": "inv.termsOfPayment"
    },
    {
      "from": "inv_scERAPAIVA",
      "to": "inv.dueDate"
    },
    {
      "from": "inv_scpopTYYPPI",
      "to": "inv.popuptype"
    },
    {
      "from": "inv_sYRITYS",
      "to": "inv.company"
    },
    {
      "from": "inv_ASIAKAS",
      "to": "inv.customer"
    },
    {
      "from": "inv_scTIL_ALENNUS",
      "to": "inv.orderDiscount"
    },
    {
      "from": "inv_VIITENUMERO",
      "to": "inv.referenceNumber"
    },
    {
      "from": "inv_sVALUUTTA_MUU",
      "to": "inv.currencyOther"
    },
    {
      "from": "inv_scTIL_ALE_PRO",
      "to": "inv.orderDiscountPercent"
    },
    {
      "from": "inpa_scLASKU",
      "to": "inpa.bill"
    },
    {
      "from": "inpa_sYRITYS",
      "to": "inpa.company"
    },
    {
      "from": "inpa_scVIITENUMERO",
      "to": "inpa.referenceNumber"
    },
    {
      "from": "inpa_scPAIVIA_MYOH",
      "to": "inpa.daysLate"
    },
    {
      "from": "inpa_scMAKSETTU_SU",
      "to": "inpa.payedTotal"
    },
    {
      "from": "inpa_scSUORITUSTAP",
      "to": "inpa.performanceStyle"
    },
    {
      "from": "inpa_scSUORITUSTIL",
      "to": "inpa.performanceOrder"
    },
    {
      "from": "inpa_scON_OSASUORI",
      "to": "inpa.isPartialPayment"
    },
    {
      "from": "inpa_scMAKSUPAIVA",
      "to": "inpa.paymentDate"
    },
    {
      "from": "inpa_scVAHENNYS_SU",
      "to": "inpa.discount"
    },
    {
      "from": "inpa_scTULOPAIVA",
      "to": "inpa.arrivalDate"
    },
    {
      "from": "dn_scTOIMITUSASI",
      "to": "dn.deliveryCompany"
    },
    {
      "from": "cope_scKOKO_NIMI",
      "to": "cope.wholeName"
    },
    {
      "from": "coad_TEE_TEKSTIO",
      "to": "coad.doText"
    },
    {
      "from": "co_TEE_TEKSTIOSO",
      "to": "co.doText"
    },
    {
      "from": "apr_scTUOTE",
      "to": "apr.product"
    },
    {
      "from": "apr_scDEBETSUMMA",
      "to": "apr.debetTotal"
    },
    {
      "from": "apr_scKREDITSUMMA",
      "to": "apr.creditTotal"
    },
    {
      "from": "apr_scVAL_SUMMA",
      "to": "apr.currencySum"
    },
    {
      "from": "ap_scTILI",
      "to": "ap.account"
    },
    {
      "from": "appa_SUOR_TAPA",
      "to": "appa.methodOfPayment"
    },
    {
      "from": "ap_ON_KULUTILI",
      "to": "ap.isExpenseAccount"
    },
    {
      "from": "appa_scVALUUTTA",
      "to": "appa.currency"
    },
    {
      "from": "appa_scPOISTOSUMMA",
      "to": "appa.extractionTotal"
    },
    {
      "from": "appa_scSUMMA_MK",
      "to": "appa.total"
    },
    {
      "from": "ap_scKULUTILI",
      "to": "ap.expenseAccount"
    },
    {
      "from": "appa_scMAKSETTU",
      "to": "appa.paid"
    },
    {
      "from": "ap_scSUOR_TAPA",
      "to": "ap.methodOfPayment"
    },
    {
      "from": "appa_SUOR_TILI",
      "to": "appa.paymentAccount"
    },
    {
      "from": "ap_scMAKSUUN_VAL",
      "to": "ap.currencySum"
    },
    {
      "from": "ap_TARK_LASKUNRO",
      "to": "ap.accurateBillNumber"
    },
    {
      "from": "ap_TARKISTA VIIT",
      "to": "ap.verifyReferences"
    },
    {
      "from": "ap_scSAAJA",
      "to": "ap.obtainer"
    },
    {
      "from": "ap_ERÄPÄIVÄ",
      "to": "ap.dueDate"
    },
    {
      "from": "ap_scMAKSETTAVA",
      "to": "ap.payable"
    },
    {
      "from": "ap_scTOIMITTAJA",
      "to": "ap.supplier"
    },
    {
      "from": "ap_sYRITYS",
      "to": "ap.company"
    }
  ]
}
